function Qah(){Ufd.call(this)}
function Hah(a,b,d,e){vGd.call(this,a,b,d);this.a=e}
function ehh(a){var b;if(!a.k){b=new Oah((U1i(gee(a.a)),Roj(iee(a.a))));a.k=b}return a.k}
function dhh(a){var b;if(!a.j){b=new Hah(FFd(Cce(a.a)),ehh(a),chh(a),IMg(wde(a.a)));RFd((Dce(a.a),b),OGd(Dce(a.a)));a.j=b}return a.j}
function Oah(){iAf.call(this,o3b);this.a=new fBf(o3b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
I3c(4517,1008,izj,Hah);_.Si=function(){};_.Xi=function(){this.A.Cr()};_._i=function(){Ovf(this.a,this)};I3c(4520,2872,jAj,Oah);_.Ch=function(){return aAf(this)};_.zr=function(){return this.a};_.Ar=function(){return j7j};_.Er=function(){var a;a=new x_f(this.n);B1d(a,xHj,w1d(vM(J2c,byj,263,[M1i(p1i(this.r,zBj),vM(g2c,byj,235,[])),M1i(p1i(this.r,xZj),vM(g2c,byj,235,[]))])));return a};_.Ir=function(){var a,b;b=new Yrg(5);E7c(b,new N3g,UIj);a=new Qah;S7c(b,b.u.b,a,new Wfd(b$j));return b};I3c(4521,675,Syj,Qah);_.rd=function(a){return a.jL()};I3c(4588,1,Qzj);_.ud=function(){nHd(this.b,dhh(this.a.a))};var e2b=lOd(4517),g2b=lOd(4520),f2b=lOd(4521);CAj(mp)(18);